#ifndef MYTIMER_H
#define MYTIMER_H
#include "NetItemRunable.h"
#include <QTimer>



class MyTimer : public QTimer
{
	Q_OBJECT

public:
	MyTimer(QObject *parent = nullptr);
	~MyTimer();

private:
	NetItemRunable* m_pRunable;
	bool m_bSJS;
	int m_nSendDataCount;
public:
	void CreateRunableFactory();
	bool m_bRuning;
	public slots:
		void timout_Slot();
};

#endif // MYTIMER_H
